package com.yeejoin.amos.supervision.business.param;

public class InputItemParam {

	private long id;

	private long catalogId;
	private String dataJson;
	private String defaultValue;
	private String inputJson;
	private String isMultiline;
	private String isMust;
	private String isScore;
	private String itemType;
	private String name;
	private int orderNo;
	private String orgCode;
	private String pictureJson;
	private String remark;
	private String level;
	private String itemNo;
	private String riskDesc;
	private String inputClassify;
	private String checkMethod;
	private String unit;
	private String maintenanceContent;
	private String testRequirement;
	private String checkType;
	private String itemParent;
	private String itemClassify;
	private String itemTypeClassify;
	private String itemLevel;
	private String itemStart;
	private String itemTypeClassifyIds;

	public String getItemStart() {
		return itemStart;
	}

	public void setItemStart(String itemStart) {
		this.itemStart = itemStart;
	}

	public String getCheckType() {
		return checkType;
	}

	public void setCheckType(String checkType) {
		this.checkType = checkType;
	}

	public String getItemParent() {
		return itemParent;
	}

	public void setItemParent(String itemParent) {
		this.itemParent = itemParent;
	}

	public String getItemClassify() {
		return itemClassify;
	}

	public void setItemClassify(String itemClassify) {
		this.itemClassify = itemClassify;
	}

	public String getItemTypeClassify() {
		return itemTypeClassify;
	}

	public void setItemTypeClassify(String itemTypeClassify) {
		this.itemTypeClassify = itemTypeClassify;
	}

	public String getItemLevel() {
		return itemLevel;
	}

	public void setItemLevel(String itemLevel) {
		this.itemLevel = itemLevel;
	}

	public void setMaintenanceContent(String maintenanceContent) {
		this.maintenanceContent = maintenanceContent;
	}

	public void setTestRequirement(String testRequirement) {
		this.testRequirement = testRequirement;
	}

	public String getMaintenanceContent() {
		return maintenanceContent;
	}

	public String getTestRequirement() {
		return testRequirement;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getCheckMethod() {
		return checkMethod;
	}

	public void setCheckMethod(String checkMethod) {
		this.checkMethod = checkMethod;
	}

	public String getInputClassify() {
		return inputClassify;
	}

	public void setInputClassify(String inputClassify) {
		this.inputClassify = inputClassify;
	}

	public String getItemNo() {
		return itemNo;
	}
	public void setItemNo(String itemNo) {
		this.itemNo = itemNo;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public long getCatalogId() {
		return catalogId;
	}
	public void setCatalogId(long catalogId) {
		this.catalogId = catalogId;
	}
	public String getDataJson() {
		return dataJson;
	}
	public void setDataJson(String dataJson) {
		this.dataJson = dataJson;
	}
	public String getDefaultValue() {
		return defaultValue;
	}
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}
	public String getInputJson() {
		return inputJson;
	}
	public void setInputJson(String inputJson) {
		this.inputJson = inputJson;
	}
	public String getIsMultiline() {
		return isMultiline;
	}
	public void setIsMultiline(String isMultiline) {
		this.isMultiline = isMultiline;
	}
	public String getIsMust() {
		return isMust;
	}
	public void setIsMust(String isMust) {
		this.isMust = isMust;
	}
	public String getIsScore() {
		return isScore;
	}
	public void setIsScore(String isScore) {
		this.isScore = isScore;
	}
	public String getItemType() {
		return itemType;
	}
	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(int orderNo) {
		this.orderNo = orderNo;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public String getPictureJson() {
		return pictureJson;
	}
	public void setPictureJson(String pictureJson) {
		this.pictureJson = pictureJson;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public InputItemParam() {
		super();
	}
	public String getRiskDesc() {
		return riskDesc;
	}
	public void setRiskDesc(String riskDesc) {
		this.riskDesc = riskDesc;
	}


	public String getItemTypeClassifyIds() {
		return itemTypeClassifyIds;
	}

	public void setItemTypeClassifyIds(String itemTypeClassifyIds) {
		this.itemTypeClassifyIds = itemTypeClassifyIds;
	}
}
